org.springframework.data.auditing.config

## Interface AuditingConfiguration

All Known Implementing Classes:
  AnnotationAuditingConfiguration

    public interface AuditingConfiguration

Configuration information for auditing.

Author:
  Ranie Jade Ramiso, Thomas Darimont, Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAuditorAwareRef()` Returns the bean name of the `AuditorAware` instance to be used..
`String` `getDateTimeProviderRef()` Returns the bean name of the `DateTimeProvider` to be used.
`boolean` `isModifyOnCreate()` Returns whether the entity shall be marked as modified on creation.
`boolean` `isSetDates()` Returns whether the creation and modification dates shall be set.

### Method Detail

#### getAuditorAwareRef

    String getAuditorAwareRef()

Returns the bean name of the `AuditorAware` instance to be used..

Returns:

#### isSetDates

    boolean isSetDates()

Returns whether the creation and modification dates shall be set. Defaults to true.

Returns:

#### isModifyOnCreate

    boolean isModifyOnCreate()

Returns whether the entity shall be marked as modified on creation. Defaults to true.

Returns:

#### getDateTimeProviderRef

    String getDateTimeProviderRef()

Returns the bean name of the `DateTimeProvider` to be used.

Returns: